%define name ogmrip
%define version 0.13.6
%define release %mkrel 1
%define distsuffix plf
%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define mplayerver 1.0-1.rc1

Summary: Graphical DVD ripper
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/ogmrip/%{name}-%{version}.tar.gz
#gw hardcode to mplayer 1.0rc2 as our patched version number isn't parsed
#correctly
Patch3: ogmrip-0.13.3-skip-mplayer-version-check.patch
#gw the lib is LGPL, the main program is GPL
License: LGPLv2+ and GPLv2+
Group: Video
Url: http://ogmrip.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libdvdread-devel
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libGConf2-devel
BuildRequires: libglade2.0-devel >= 2.5
BuildRequires: libhal-devel dbus-glib-devel
BuildRequires: libenca-devel
BuildRequires: mencoder >= %mplayerver
BuildRequires: ogmtools
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: libnotify-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: vorbis-tools
BuildRequires: lame
BuildRequires: faac
BuildRequires: mkvtoolnix
#gw spell checker
#only needed with gocr
BuildRequires: enchant-devel
BuildRequires: gocr
BuildRequires: intltool
BuildRequires: ImageMagick
BuildRequires: automake1.8 gtk-doc
BuildRequires: desktop-file-utils
Requires: mencoder >= %mplayerver
Requires: ogmtools
Requires: vorbis-tools
Requires: lame
Requires: mkvtoolnix
Requires: gocr
#gw for srttool
Requires: subtitleripper

%description
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.

OGMRip:
* outputs ogm, avi or matroska files
* provides a lot of codecs (ogg vorbis, mp3, pcm, ac3, xvid, lavc)
* calculates video bitrate for a given filesize
* calculates cropping parameters and scaling factors
* uses maximum quality codec switches
* supports subtitles extraction
* rips contiguous chapters
* features a HIG-compliant GNOME 2 user interface

This package is in PLF as it depends on lame.

%package -n %libname
Summary: DVD ripping libraries from %name
Group: System/Libraries

%description -n %libname
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the set of libraries.

This package is in PLF as it depends on lame.
%package -n %develname
Summary: DVD ripping libraries from %name
Group: Development/C
Requires: %libname = %version
Provides: libogmrip-devel = %version-%release
Obsoletes: %mklibname -d %name 0

%description -n %develname
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the development parts of these libraries.

This package is in PLF as it depends on lame.
%prep
%setup -q -n %name-%version
%patch3 -p1 -b .skip-mplayer-version-check

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -f %buildroot%_libdir/{lib*.a,ogmrip/*/*.a}
#gw this is in subtitleripper
rm -f %buildroot%_bindir/srttool
#gw bad locale
rm -f %buildroot%_datadir/locale/en/LC_MESSAGES/ogmrip.mo
%find_lang %name
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	section="Multimedia/Video" \
	icon="%name.png" \
	title="OGMRip DVD Encoder" \
	longtitle="A DVD Encoder for GNOME" \
	startup_notify="true" xdg="true"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot/%_liconsdir/
convert -scale 32 data/%name.png %buildroot/%_iconsdir/%name.png
convert -scale 16 data/%name.png %buildroot/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%{update_menus}

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog TODO AUTHORS
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/avibox
%_bindir/%name
%_bindir/subp2pgm
%_bindir/subp2png
%_bindir/subp2tiff
%_bindir/subptools
%_bindir/dvdcpy
%_bindir/theoraenc
%dir %_libdir/ogmrip
%_libdir/ogmrip/*/*.la
%dir %_libdir/ogmrip/audio-plugins
%_libdir/ogmrip/audio-plugins/libogmrip-aac.so
%_libdir/ogmrip/audio-plugins/libogmrip-acopy.so
%_libdir/ogmrip/audio-plugins/libogmrip-mp3.so
%_libdir/ogmrip/audio-plugins/libogmrip-vorbis.so
%_libdir/ogmrip/audio-plugins/libogmrip-wav.so
%dir %_libdir/ogmrip/container-plugins
%_libdir/ogmrip/container-plugins/libogmrip-avi.so
%_libdir/ogmrip/container-plugins/libogmrip-mkv.so
%_libdir/ogmrip/container-plugins/libogmrip-mov.so
%_libdir/ogmrip/container-plugins/libogmrip-mp4.so
%_libdir/ogmrip/container-plugins/libogmrip-ogg.so
%dir %_libdir/ogmrip/options-plugins
%_libdir/ogmrip/options-plugins/libogmrip-lavc-options.so
%_libdir/ogmrip/options-plugins/libogmrip-x264-options.so
%_libdir/ogmrip/options-plugins/libogmrip-xvid-options.so
%dir %_libdir/ogmrip/subp-plugins
%_libdir/ogmrip/subp-plugins/libogmrip-srt.so
%_libdir/ogmrip/subp-plugins/libogmrip-vobsub.so
%dir %_libdir/ogmrip/video-plugins
%_libdir/ogmrip/video-plugins/libogmrip-lavc-mpeg4.so
%_libdir/ogmrip/video-plugins/libogmrip-theora.so
%_libdir/ogmrip/video-plugins/libogmrip-x264.so
%_libdir/ogmrip/video-plugins/libogmrip-xvid.so
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/pixmaps/%name.png
%_mandir/man1/*.1*
%_menudir/%name
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_includedir/%name
%_includedir/ogmdvd/
%_includedir/ogmjob/
%_libdir/lib*.so
%_libdir/ogmrip/video-plugins/ogmrip*.h
%attr(644,root,root) %_libdir/lib*.la
%_libdir/pkgconfig/ogmdvd.pc
%_libdir/pkgconfig/ogmdvd-gtk.pc
%_libdir/pkgconfig/ogmjob.pc
%_libdir/pkgconfig/ogmrip.pc
%_libdir/pkgconfig/ogmrip-gtk.pc
%_datadir/gtk-doc/html/*

%changelog
* Wed Dec 15 2010 Gtz Waschk <goetz@zarb.org> 0.13.6-1plf2011.0
- new version

* Fri May 21 2010 Gtz Waschk <goetz@zarb.org> 0.13.5-1plf2010.1
- new version

* Thu Dec 24 2009 Gtz Waschk <goetz@zarb.org> 0.13.3-1plf2010.1
- rediff patch 3
- new version

* Thu Oct  8 2009 Gtz Waschk <goetz@zarb.org> 0.13.2-1plf2010.0
- update file list
- new major
- drop patches 0,1,2,4
- new version

* Sun Feb  8 2009 Gtz Waschk <goetz@zarb.org> 0.12.3-1plf2009.1
- rediff patches 1,3
- new version

* Fri Jan 23 2009 Gtz Waschk <goetz@zarb.org> 0.12.2-3plf2009.1
- fix build with mplayer's version of libdvdread
- update license
- update patches 0,2

* Mon Oct 13 2008 Gtz Waschk <goetz@zarb.org> 0.12.2-2plf2009.1
- fix mplayer version check

* Mon Sep 29 2008 Gtz Waschk <goetz@zarb.org> 0.12.2-1plf2009.0
- update build deps
- new version

* Mon Sep  1 2008 Gtz Waschk <goetz@zarb.org> 0.12.1-2plf2009.0
- fix build
- rebuild for new libdvdread

* Mon Jul 14 2008 Gtz Waschk <goetz@zarb.org> 0.12.1-1plf2009.0
- new version

* Mon Jun  9 2008 Gtz Waschk <goetz@zarb.org> 0.12.0-1plf2009.0
- update buildrequires
- update file list
- disable --no-undefined and --as-needed
- drop patch 1
- new version

* Sat Dec 22 2007 Gtz Waschk <goetz@zarb.org> 0.11.2-1plf2008.1
- new version

* Sun Oct 21 2007 Gtz Waschk <goetz@zarb.org> 0.11.1-1plf2008.1
- new version

* Mon Oct  1 2007 Gtz Waschk <goetz@zarb.org> 0.11.0-1plf2008.0
- new devel name
- update file list
- fix desktop entry
- fix build with current sg header
- fix buildrequires
- new version

* Mon Mar 12 2007 Gtz Waschk <goetz@zarb.org> 0.10.3-1plf2007.1
- update file list
- new version

* Sun Feb  4 2007 Gtz Waschk <goetz@zarb.org> 0.10.2-1plf2007.1
- new version

* Sun Jan 28 2007 Gtz Waschk <goetz@zarb.org> 0.10.1-1plf2007.1
- more macros
- bump deps
- new version

* Mon Oct 23 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-2plf2007.1
- fix buildrequires

* Mon Oct 23 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-1plf2007.1
- new version

* Tue Oct 10 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc4.1plf2007.1
- fix description
- new version

* Wed Aug 30 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc3.2plf2007.0
- fix buildrequires

* Sun Aug 20 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc3.1plf2007.0
- new version

* Thu Jul 13 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc2.2plf2007.0
- fix buildrequires

* Wed Jul  5 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc2.1plf2007.0
- new version

* Mon Jun 26 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc1.1plf2007.0
- update file list
- xdg menu
- update the patch
- new version

* Thu Oct 27 2005 Götz Waschk <goetz@zarb.org> 0.9.0-2plf
- rebuild for new hal

* Wed Jun 29 2005 Gtz Waschk <goetz@zarb.org> 0.9.0-1plf
- update file list
- update deps
- patch to disable -Werror
- New release 0.9.0

* Wed May  4 2005 Gtz Waschk <goetz@zarb.org> 0.8.2-1plf
- drop werror patch
- New release 0.8.2

* Thu Apr 21 2005 Gtz Waschk <goetz@zarb.org> 0.8.1-1plf
- fix buildrequires
- drop patch 1
- New release 0.8.1

* Tue Apr 19 2005 Gtz Waschk <goetz@zarb.org> 0.8.0-1plf
- bump deps
- patch to fix sed detection
- mkrel
- New release 0.8.0

* Thu Mar 03 2005 Götz Waschk <goetz@zarb.org> 0.7.1-1plf
- New release 0.7.1

* Wed Feb 23 2005 Gtz Waschk <goetz@zarb.org> 0.7.0-1plf
- fix build
- New release 0.7.0

* Thu Jan  6 2005 Gtz Waschk <goetz@zarb.org> 0.6.2-1plf
- New release 0.6.2

* Wed Jan  5 2005 Gtz Waschk <goetz@zarb.org> 0.6.1-1plf
- initial package
